<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:33 CEST 2019 -->
<title>JaybirdSqlLexer (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="JaybirdSqlLexer (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":42,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlBaseListener.html" title="class in org.firebirdsql.jdbc.parser"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html" title="interface in org.firebirdsql.jdbc.parser"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html" target="_top">Frames</a></li>
<li><a href="JaybirdSqlLexer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc.parser</div>
<h2 title="Class JaybirdSqlLexer" class="title">Class JaybirdSqlLexer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.antlr.v4.runtime.Recognizer&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>,org.antlr.v4.runtime.atn.LexerATNSimulator&gt;</li>
<li>
<ul class="inheritance">
<li>org.antlr.v4.runtime.Lexer</li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.parser.JaybirdSqlLexer</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.antlr.v4.runtime.TokenSource</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">JaybirdSqlLexer</span>
extends org.antlr.v4.runtime.Lexer</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.antlr.v4.runtime.atn.ATN</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#Z:Z_ATN">_ATN</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static org.antlr.v4.runtime.dfa.DFA[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#Z:Z_decisionToDFA">_decisionToDFA</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#Z:Z_serializedATN">_serializedATN</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static org.antlr.v4.runtime.atn.PredictionContextCache</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#Z:Z_sharedContextCache">_sharedContextCache</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#AS">AS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#BINARY_STRING">BINARY_STRING</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#channelNames">channelNames</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#COMMA">COMMA</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#COMMENT">COMMENT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#DELETE">DELETE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#FROM">FROM</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#GENERIC_ID">GENERIC_ID</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#INSERT">INSERT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#INTO">INTO</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#LEFT_PAREN">LEFT_PAREN</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#MERGE">MERGE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#modeNames">modeNames</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#OR">OR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#OTHER">OTHER</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#Q_STRING">Q_STRING</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#QUOTED_ID">QUOTED_ID</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#RETURNING">RETURNING</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#RIGHT_PAREN">RIGHT_PAREN</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#ruleNames">ruleNames</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#SET">SET</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#SL_COMMENT">SL_COMMENT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#STRING">STRING</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#T__0">T__0</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#T__1">T__1</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#T__2">T__2</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#tokenNames">tokenNames</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#VOCABULARY"><code>VOCABULARY</code></a> instead.</span></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#UPDATE">UPDATE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.antlr.v4.runtime.Vocabulary</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#VOCABULARY">VOCABULARY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#WS">WS</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.antlr.v4.runtime.Lexer">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.antlr.v4.runtime.Lexer</h3>
<code>_channel, _factory, _hitEOF, _input, _mode, _modeStack, _text, _token, _tokenFactorySourcePair, _tokenStartCharIndex, _tokenStartCharPositionInLine, _tokenStartLine, _type, DEFAULT_MODE, DEFAULT_TOKEN_CHANNEL, HIDDEN, MAX_CHAR_VALUE, MIN_CHAR_VALUE, MORE, SKIP</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.antlr.v4.runtime.Recognizer">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.antlr.v4.runtime.Recognizer</h3>
<code>_interp, EOF</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#JaybirdSqlLexer-org.antlr.v4.runtime.CharStream-">JaybirdSqlLexer</a></span>(org.antlr.v4.runtime.CharStream&nbsp;input)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.antlr.v4.runtime.atn.ATN</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#getATN--">getATN</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#getChannelNames--">getChannelNames</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#getGrammarFileName--">getGrammarFileName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#getModeNames--">getModeNames</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#getRuleNames--">getRuleNames</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#getSerializedATN--">getSerializedATN</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#getTokenNames--">getTokenNames</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.antlr.v4.runtime.Vocabulary</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#getVocabulary--">getVocabulary</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#sempred-org.antlr.v4.runtime.RuleContext-int-int-">sempred</a></span>(org.antlr.v4.runtime.RuleContext&nbsp;_localctx,
       int&nbsp;ruleIndex,
       int&nbsp;predIndex)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.antlr.v4.runtime.Lexer">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.antlr.v4.runtime.Lexer</h3>
<code>emit, emit, emitEOF, getAllTokens, getChannel, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorDisplay, getErrorDisplay, getInputStream, getLine, getSourceName, getText, getToken, getTokenFactory, getType, mode, more, nextToken, notifyListeners, popMode, pushMode, recover, recover, reset, setChannel, setCharPositionInLine, setInputStream, setLine, setText, setToken, setTokenFactory, setType, skip</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.antlr.v4.runtime.Recognizer">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.antlr.v4.runtime.Recognizer</h3>
<code>action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getParseInfo, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, precpred, removeErrorListener, removeErrorListeners, setInterpreter, setState</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="Z:Z_decisionToDFA">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_decisionToDFA</h4>
<pre>protected static final&nbsp;org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA</pre>
</li>
</ul>
<a name="Z:Z_sharedContextCache">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_sharedContextCache</h4>
<pre>protected static final&nbsp;org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache</pre>
</li>
</ul>
<a name="T__0">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>T__0</h4>
<pre>public static final&nbsp;int T__0</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.T__0">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="T__1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>T__1</h4>
<pre>public static final&nbsp;int T__1</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.T__1">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="T__2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>T__2</h4>
<pre>public static final&nbsp;int T__2</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.T__2">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="AS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AS</h4>
<pre>public static final&nbsp;int AS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.AS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DELETE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DELETE</h4>
<pre>public static final&nbsp;int DELETE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.DELETE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FROM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FROM</h4>
<pre>public static final&nbsp;int FROM</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.FROM">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INSERT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INSERT</h4>
<pre>public static final&nbsp;int INSERT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.INSERT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INTO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTO</h4>
<pre>public static final&nbsp;int INTO</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.INTO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MERGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MERGE</h4>
<pre>public static final&nbsp;int MERGE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.MERGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OR</h4>
<pre>public static final&nbsp;int OR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.OR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RETURNING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RETURNING</h4>
<pre>public static final&nbsp;int RETURNING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.RETURNING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SET</h4>
<pre>public static final&nbsp;int SET</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.SET">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="UPDATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UPDATE</h4>
<pre>public static final&nbsp;int UPDATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.UPDATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LEFT_PAREN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEFT_PAREN</h4>
<pre>public static final&nbsp;int LEFT_PAREN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.LEFT_PAREN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RIGHT_PAREN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RIGHT_PAREN</h4>
<pre>public static final&nbsp;int RIGHT_PAREN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.RIGHT_PAREN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COMMA">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMMA</h4>
<pre>public static final&nbsp;int COMMA</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.COMMA">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STRING</h4>
<pre>public static final&nbsp;int STRING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.STRING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BINARY_STRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BINARY_STRING</h4>
<pre>public static final&nbsp;int BINARY_STRING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.BINARY_STRING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="Q_STRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Q_STRING</h4>
<pre>public static final&nbsp;int Q_STRING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.Q_STRING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="GENERIC_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GENERIC_ID</h4>
<pre>public static final&nbsp;int GENERIC_ID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.GENERIC_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="QUOTED_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUOTED_ID</h4>
<pre>public static final&nbsp;int QUOTED_ID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.QUOTED_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SL_COMMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SL_COMMENT</h4>
<pre>public static final&nbsp;int SL_COMMENT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.SL_COMMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COMMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMMENT</h4>
<pre>public static final&nbsp;int COMMENT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.COMMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WS</h4>
<pre>public static final&nbsp;int WS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.WS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OTHER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OTHER</h4>
<pre>public static final&nbsp;int OTHER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer.OTHER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="channelNames">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>channelNames</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[] channelNames</pre>
</li>
</ul>
<a name="modeNames">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>modeNames</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[] modeNames</pre>
</li>
</ul>
<a name="ruleNames">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ruleNames</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[] ruleNames</pre>
</li>
</ul>
<a name="VOCABULARY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VOCABULARY</h4>
<pre>public static final&nbsp;org.antlr.v4.runtime.Vocabulary VOCABULARY</pre>
</li>
</ul>
<a name="tokenNames">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tokenNames</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[] tokenNames</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#VOCABULARY"><code>VOCABULARY</code></a> instead.</span></div>
</li>
</ul>
<a name="Z:Z_serializedATN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_serializedATN</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> _serializedATN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jdbc.parser.JaybirdSqlLexer._serializedATN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="Z:Z_ATN">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>_ATN</h4>
<pre>public static final&nbsp;org.antlr.v4.runtime.atn.ATN _ATN</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="JaybirdSqlLexer-org.antlr.v4.runtime.CharStream-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>JaybirdSqlLexer</h4>
<pre>public&nbsp;JaybirdSqlLexer(org.antlr.v4.runtime.CharStream&nbsp;input)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTokenNames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTokenNames</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;getTokenNames()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getTokenNames</code>&nbsp;in class&nbsp;<code>org.antlr.v4.runtime.Lexer</code></dd>
</dl>
</li>
</ul>
<a name="getVocabulary--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVocabulary</h4>
<pre>public&nbsp;org.antlr.v4.runtime.Vocabulary&nbsp;getVocabulary()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getVocabulary</code>&nbsp;in class&nbsp;<code>org.antlr.v4.runtime.Recognizer&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>,org.antlr.v4.runtime.atn.LexerATNSimulator&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getGrammarFileName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGrammarFileName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getGrammarFileName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getGrammarFileName</code>&nbsp;in class&nbsp;<code>org.antlr.v4.runtime.Recognizer&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>,org.antlr.v4.runtime.atn.LexerATNSimulator&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getRuleNames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRuleNames</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;getRuleNames()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getRuleNames</code>&nbsp;in class&nbsp;<code>org.antlr.v4.runtime.Recognizer&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>,org.antlr.v4.runtime.atn.LexerATNSimulator&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getSerializedATN--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSerializedATN</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSerializedATN()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getSerializedATN</code>&nbsp;in class&nbsp;<code>org.antlr.v4.runtime.Recognizer&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>,org.antlr.v4.runtime.atn.LexerATNSimulator&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getChannelNames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChannelNames</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;getChannelNames()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getChannelNames</code>&nbsp;in class&nbsp;<code>org.antlr.v4.runtime.Lexer</code></dd>
</dl>
</li>
</ul>
<a name="getModeNames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModeNames</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;getModeNames()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getModeNames</code>&nbsp;in class&nbsp;<code>org.antlr.v4.runtime.Lexer</code></dd>
</dl>
</li>
</ul>
<a name="getATN--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getATN</h4>
<pre>public&nbsp;org.antlr.v4.runtime.atn.ATN&nbsp;getATN()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getATN</code>&nbsp;in class&nbsp;<code>org.antlr.v4.runtime.Recognizer&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>,org.antlr.v4.runtime.atn.LexerATNSimulator&gt;</code></dd>
</dl>
</li>
</ul>
<a name="sempred-org.antlr.v4.runtime.RuleContext-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>sempred</h4>
<pre>public&nbsp;boolean&nbsp;sempred(org.antlr.v4.runtime.RuleContext&nbsp;_localctx,
                       int&nbsp;ruleIndex,
                       int&nbsp;predIndex)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>sempred</code>&nbsp;in class&nbsp;<code>org.antlr.v4.runtime.Recognizer&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>,org.antlr.v4.runtime.atn.LexerATNSimulator&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlBaseListener.html" title="class in org.firebirdsql.jdbc.parser"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html" title="interface in org.firebirdsql.jdbc.parser"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html" target="_top">Frames</a></li>
<li><a href="JaybirdSqlLexer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
